Subject: Re: bug#46092: 27.1; syntax highlight in the eval-expression prompt

From: reporter <[email-masked]>
Date: Fri, 29 Jan 2021 13:27:06 +0000

> That's true -- it's odd that`eval-expression' doesn't use font
> locking. Is there a reason for this, or has nobody just never
> thought of it before? I briefly tried switching it on (by just
> setting`font-lock-defaults' to something Elispish), but that
> didn't work, so does the minibuffer have something special
> going on that prohibits font locking?

I tried turning on emacs-lisp-mode in the eval-expression prompt
and the major mode did change from fundamental to elisp mode, but
there is no font locking if I type an expression.

So I have the same question as Lars. Does the minibuffer prevents
font locking from working for some reason?